//****************************************************************************
// SketchBase.  
//****************************************************************************
// Comments : 
//   Subroutines to manage and draw points, lines an triangles
//
// History :
//   Aug 2014 Created by Jianming Zhang (jimmie33@gmail.com) based on code by
//   Stan Sclaroff (from CS480 '06 poly.c)

import java.awt.image.BufferedImage;

public class SketchBase 
{
	public SketchBase()
	{
		// deliberately left blank
	}
	
	// draw a point
	public static void drawPoint(BufferedImage buff, Point2D p)
	{
		buff.setRGB(p.x, buff.getHeight()-p.y-1, p.c.getBRGUint8());
	}
	
	// draw rectangle
	public static void drawRect(BufferedImage buff, Point2D p1, Point2D p2)
	{
		int x_start = Math.min(p1.x,p2.x);
		int y_start = Math.min(p1.y,p2.y);
		int x_end = Math.max(p1.x,p2.x);
		int y_end = Math.max(p1.y,p2.y);
		
		for (int x = x_start; x <= x_end; x++)
		{
			for (int y = y_start; y <= y_end; y++)
			{
				drawPoint(buff, new Point2D(x, y, p2.c));
			}
		}
	}
}
